function darken(hex, amount) {
	var color = new less.tree.Color(hex.substr(1), 1.0);
	amount = new less.tree.Value(amount);
	return less.tree.functions.darken(color, amount).toCSS();
}

window.colors = {"red": "#de5b5b", "orange": "#debd5b", "lgreen": "#9dde5b", "rgreen": "#5bde7c", "lblue": "#5bdede", "rblue": "#5b7cde", "purple": "#9d5bde", "pink": "#de5bbd"};

window.langEntities = {"typedef": {"name": "Typedef", "ideogram": "typedef", "color": "#5bde7c", "description": "C++ typedefs create type aliases, e.g. alias complex template instantiations to a simple name.", "belongsTo": null}, "grouped_typedef": {"name": "Grouped Typedef", "ideogram": "typedef", "color": "#5bde7c", "description": "Typedef in a semantic group.", "belongsTo": "typedef"}, "global_typedef": {"name": "Global Typedef", "ideogram": "typedef", "color": "#5bde7c", "description": "Global typedef", "belongsTo": "typedef"}, "member_typedef": {"name": "Member Typedef", "ideogram": "class { typedef }", "color": "#5bde7c", "description": "Typedef within a class/struct.", "belongsTo": "typedef"}, "concept": {"name": "Concept", "ideogram": "Concept", "color": "#de5b5b", "description": "Informal <b>interface</b> for types.", "belongsTo": null}, "class": {"name": "Class", "ideogram": "Class", "color": "#de5b5b", "description": "C++ data structure with both data and functions", "belongsTo": null}, "specialization": {"name": "Specialization", "ideogram": "Spec", "color": "#de5b5b", "description": "Specialization or subclass of a class.", "belongsTo": "class"}, "enum": {"name": "Enum", "ideogram": "enum", "color": "#de5b5b", "description": "User-defined C++ type for a fixed number of values, each having a name.", "belongsTo": null}, "metafunction": {"name": "Metafunction", "ideogram": "Fn<>", "color": "#5b7cde", "description": "Compile-time evaluated function that returns a type as a function of types or compile-time constants.  In C++, implemented as class templates.", "belongsTo": null}, "global_metafunction": {"name": "Global Metafunction", "ideogram": "Fn<>", "color": "#5b7cde", "description": "Global compile-time evaluated function that returns a type as a function of types or compile-time constants.  In C++, implemented as class templates.", "belongsTo": "metafunction"}, "interface_metafunction": {"name": "Interface Metafunction", "ideogram": "#Fn<>", "color": "#5b7cde", "description": "A metafunction that is part of a type's global interface.", "belongsTo": "metafunction"}, "function": {"name": "Function", "ideogram": "fn()", "color": "#5bdede", "description": "C++ function", "belongsTo": null}, "global_function": {"name": "Global Function", "ideogram": "fn()", "color": "#5bdede", "description": "Global C++ function", "belongsTo": "function"}, "interface_function": {"name": "Interface Function", "ideogram": "#fn()", "color": "#5bdede", "description": "Global C++ function", "belongsTo": "function"}, "member_function": {"name": "Member Function", "ideogram": ".fn()", "color": "#5bdede", "description": "A class' or struct's member function.", "belongsTo": "function"}, "tag": {"name": "Tag", "ideogram": "Tag", "color": "#9d5bde", "description": "Class that is only used for its type (e.g. in <b>tag dispatching</b>).", "belongsTo": null}, "grouped_tag": {"name": "Grouped Tag", "ideogram": "Tag", "color": "#9d5bde", "description": "Tag that belongs to a semantic group.", "belongsTo": "tag"}, "variable": {"name": "Variable", "ideogram": "var", "color": "#9dde5b", "description": "Variable", "belongsTo": null}, "global_variable": {"name": "Global Variable", "ideogram": "var", "color": "#9dde5b", "description": "Global variable.", "belongsTo": "variable"}, "member_variable": {"name": "Member Variable", "ideogram": ".x", "color": "#9dde5b", "description": "Member variable of a class or struct.", "belongsTo": "variable"}, "adaption": {"name": "Adaption", "ideogram": "foreign::", "color": "#debd5b", "description": null, "belongsTo": null}, "macro": {"name": "Macro", "ideogram": "#define", "color": "#debd5b", "description": null, "belongsTo": null}, "group": {"name": "Group", "ideogram": "Group", "color": "#de5bbd", "description": "Set of functions and/or tags that belong together.", "belongsTo": null}, "page": {"name": "Page", "ideogram": "Page", "color": "#de5bbd", "description": "A documentation page without direct correspondance to a code entry.", "belongsTo": null}, "template_parameter": {"name": "Template Parameter", "ideogram": "<>", "color": "#999", "description": "Templates can take types or constant integral values as parameters.", "belongsTo": null}, "tutorial": {"name": "Tutorial", "ideogram": "Tutorial", "color": "#000", "description": "Tutorials provide you with a step-by-step manual that helps you to achieve a certain goal.", "belongsTo": null}, "unknown": {"name": "Unknown Language Entity", "ideogram": "UNKNOWN", "color": "#f00", "description": "This is an unknown language entity.", "belongsTo": null}};